{{#if nodeData}}
  <h4 class="h4">
    <span class="text-capitalize">
      {{nodeData.nodeType}}
    </span>
    Info
  </h4>
  {{annotation-status-badge statusId=nodeData.annotationStatusId}}
  {{! <canvas
          class="ChemDoodleWebComponent molecule"
          id="${id}" width="200" height="200"
          alt="ChemDoodle Web Component"
          style="width: 100px; height: 100px; background-color: rgb(255, 255, 255);">
            This browser does not support HTML5/Canvas.
        </canvas> }}
  {{#if nodeData.molJSON}}
    <div id="chem-draw">
      {{displayMolDraw}}
    </div>
  {{/if}}
  {{#if nodeData.bestAnnotation.smiles}}
    <h5 class="card-title">
      SMILES
    </h5>
    <div class="smiles-display card-text m-2">
      <input
        class="value"
        type="text"
        value={{nodeData.bestAnnotation.smiles}}
        id="node-smiles"
      />
      <button
        type="button"
        class="btn btn-light btn-sm"
        {{action "copySmiles"}}
      >
        Copy
      </button>
    </div>
  {{/if}}
  {{{nodeData.info}}}
  {{#if cosineData}}
    <h5 class="card-title">
      Matching ion(s)
    </h5>
    <table class="table">
      <thead>
        <tr>
          <th>
            Ion ID
          </th>
          <th>
            Cosine
          </th>
          <th>
            Annotate
          </th>
        </tr>
      </thead>
      <tbody>
        {{#each cosineData as |ionCosine|}}
          <tr>
            <td>
              {{ionCosine.ionId}}
            </td>
            <td>
              {{ionCosine.cosine}}
            </td>
            <td>
              {{#if (not nodeData.annotationId)}}
                <button
                  type="button"
                  class="btn btn-success btn-sm"
                  {{action "annotateIon" ionCosine.ionId}}
                >
                  Annotate
                </button>
              {{else if (eq nodeData.annotationId ionCosine.ionId)}}
                <i class="text-success">
                  Annotated
                </i>
              {{/if}}
            </td>
          </tr>
        {{/each}}
      </tbody>
    </table>
  {{/if}}
  {{#if publicProject}}
    <h5 class="card-title">
      Matching in public projects
    </h5>
    <p class="card-text">
      {{nodeData.publicProject}}
    </p>
  {{/if}}
{{/if}}